org.bouncycastle.cms

## Class SimpleAttributeTableGenerator

- java.lang.Object
- - org.bouncycastle.cms.SimpleAttributeTableGenerator

All Implemented Interfaces:
  CMSAttributeTableGenerator

    public class SimpleAttributeTableGenerator
    extends java.lang.Object
    implements CMSAttributeTableGenerator

Basic generator that just returns a preconstructed attribute table

### Field Summary

### Fields inherited from interface org.bouncycastle.cms.CMSAttributeTableGenerator

`CONTENT_TYPE, DIGEST, DIGEST_ALGORITHM_IDENTIFIER, SIGNATURE`

### Constructor Summary

Constructors
Constructor and Description
`SimpleAttributeTableGenerator(org.bouncycastle.asn1.cms.AttributeTable attributes)`

### Method Summary

Methods
`org.bouncycastle.asn1.cms.AttributeTable` `getAttributes(java.util.Map parameters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleAttributeTableGenerator

    public SimpleAttributeTableGenerator(org.bouncycastle.asn1.cms.AttributeTable attributes)

### Method Detail

#### getAttributes

    public org.bouncycastle.asn1.cms.AttributeTable getAttributes(java.util.Map parameters)

Specified by:
  `getAttributes` in interface `CMSAttributeTableGenerator`